Bug 446995 - Agent "fence_apc" reports: Parse error: Unknown option 'switch=3'
Agent "fence_apc" reports: Parse error: Unknown option 'switch=3'
Status: CLOSED ERRATA
Product: Red Hat Cluster Suite
Classification: Red Hat
Component: fence (Show other bugs)
4
All Linux
high Severity high
: ---
: ---
Assigned To: Marek Grac
Cluster QE
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2008-05-16 17:10 EDT by Dean Jansa
Modified: 2009-04-16 15:53 EDT (History)
3 users (show)

See Also:
Fixed In Version: RHBA-2008-0801
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2008-07-25 15:17:08 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Dean Jansa 2008-05-16 17:10:47 EDT
Description of problem:

fence_node is failing to fence a node via fence_apc with the following error:

[root@link-13 fence]# fence_node link-16
agent "fence_apc" reports: Parse error: Unknown option 'switch=3'
Please use '-h' for usage


Snippit from  cluster.conf\

<clusternode name="link-16" votes="1">
  <fence>
    <method name="APCEE">
      <device name="apc1" switch="3" port="4"/>
    </method>
  </fence>
</clusternode>
.
.
.
<fencedevices>
  <fencedevice name="apc1" agent="fence_apc" ipaddr="link-apc" login="apc"
passwd="apc"/>
</fencedevices>


Version-Release number of selected component (if applicable):
fence-1.32.57-1
Comment 1 Marek Grac 2008-05-20 05:23:26 EDT
Patch is in the RHEL47 branch
Comment 3 Nate Straz 2008-05-27 14:04:39 EDT
[root@morph-01 rhn]# rpm -q fence
fence-1.32.58-1

[root@morph-01 rhn]# /sbin/fence_apc
switch=1
port=2
agent=fence_apc
ipaddr=morph-apc
login=apc
passwd=apc
^D
Failed: You have to enter physical switch number
Please use '-h' for usage
Comment 4 Marek Grac 2008-06-02 11:44:57 EDT
Fixed typo in translation from stdin to getopt argument
Comment 6 Fedora Update System 2008-06-11 03:55:58 EDT
rgmanager-2.03.04-1.fc9,gfs2-utils-2.03.04-1.fc9,cman-2.03.04-1.fc9 has been submitted as an update for Fedora 9
Comment 7 Fedora Update System 2008-06-12 22:25:22 EDT
rgmanager-2.03.04-1.fc9, gfs2-utils-2.03.04-1.fc9, cman-2.03.04-1.fc9 has been pushed to the Fedora 9 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 9 errata-xmlrpc 2008-07-25 15:17:08 EDT
An advisory has been issued which should help the problem
described in this bug report. This report is therefore being
closed with a resolution of ERRATA. For more information
on the solution and/or where to find the updated files,
please follow the link below. You may reopen this bug report
if the solution does not work for you.

http://rhn.redhat.com/errata/RHBA-2008-0801.html

Note You need to log in before you can comment on or make changes to this bug.